Subject: Re: [MeeGo-Dev][PATCH v2] Topcliff: Update PCH_CAN driver to 2.6.35

From: Wolfgang Grandegger <[email-masked]>
Date: Thu, 16 Sep 2010 11:10:56 +0200

On 09/16/2010 10:51 AM, Masayuki Ohtake wrote:
> Hi Marc,
> 
>> - Please remove rx-filter handling from the driver completely, simply
>>   receive every can frame
> 
> This rx-filter function is for Topcliff's CAN HW function.
> This function is important.
> Could you tell us the reason why should we remove filter function ?

We do not (yet) support the filtering capability of the CAN controller
hardware. Therefore please configure the hardware filter to accept *any*
CAN message like all other drivers do, e.g.:

http://lxr.linux.no/#linux+v2.6.35.4/drivers/net/can/sja1000/sja1000.c#L249

Wolfgang.